Summary: A library for accessing various audio file formats.
Name: audiofile
Version: 0.1.11
Release: 1.0.1
Epoch: 1
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.68k.org/pub/michael/audiofile-%{version}.tar.gz
URL: http://www.68k.org/~michael/audiofile/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/ldconfig

%description
The Audio File library is an implementation of SGI's Audio File
Library, which provides an API for accessing audio file formats like
AIFF/AIFF-C, WAVE, and NeXT/Sun .snd/.au files.  This library is used
by the EsounD daemon.

Install audiofile if you're installing EsounD or you need an API for
any of the sound file formats it can handle.

%package devel
Summary: Libraries, includes and other files to develop audiofile applications.
Group: Development/Libraries

%description devel
The audiofile-devel package contains libraries, include files and
other resources you can use to develop Audio File applications.

Install audiofile-devel if you want to develop Audio File apps.

%prep
%setup -q

%build
%configure
make

%install

rm -rf %{buildroot}
mkdir -p %{buildroot}

%makeinstall

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING TODO README ChangeLog docs
%{_bindir}/sfconvert
%{_bindir}/sfinfo
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/audiofile-config
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_includedir}/*
%{_datadir}/aclocal/*

%changelog
* Thu Apr 19 2001 Ryan W. Maple <ryan@guardiandigtial.com>
- Version 0.1.11, Release 1.0.1
  - Initial build for EnGarde.


* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- upgrade to 0.1.11.

* Mon Aug 14 2000 Than Ngo <than@redhat.com>
- add ldconfig to %post and %postun (Bug #15413)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- use FHS macros

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- strip library, use configure macro.

* Tue Sep 14 1999 Elliot Lee <sopwith@redhat.com>
- 0.1.8pre (take whatever is in CVS).

* Fri Aug 13 1999 Michael Fulbrght <drmike@redhat.com>
- version 1.7.0

* Sun Apr 18 1999 Matt Wilson <msw@redhat.com>
- updated patch from DaveM

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- added patch from Dave Miller to disable byte swapping in decoding

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries before packaging

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- Version 0.1.6

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- Removed libtoolize from %build

* Wed Feb 3 1999 Jonathan Blandfor <jrb@redhat.com>
- Newer version with bug fix.  Upped release.

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- integrating into rawhide release at GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file
